%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define         basever 0.7.6

Name:           ccsm
Version:        0.7.6
Release:        2%{?dist}
Summary:        Plugin and configuration tool - Compiz Fusion Project

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.opencompositing.org

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch101:       ccsm-removeshebangs.patch
# libdrm is not available on these arches

ExcludeArch:    s390 s390x ppc64
BuildArch:      noarch
BuildRequires:  python-devel, gettext, desktop-file-utils, intltool
Requires:       compizconfig-python >= %{basever} , libcompizconfig >= %{basever}
Requires:       pygtk2 >= 2.10, python-sexy

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains a gui configuration tool to configure Compiz
plugins and the composite window manager.

%prep
%setup -q 
%patch101 -p1 -b .ccsm-removeshebangs

%build
#configure 
#make %{?_smp_mflags}
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT
desktop-file-install --vendor="fedora" \
      --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
      --remove-category="Compiz" \
      --delete-original \
      $RPM_BUILD_ROOT%{_datadir}/applications/ccsm.desktop

%find_lang %{name}

%post
if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING VERSION
%{_bindir}/ccsm
%{_datadir}/applications/fedora-ccsm.desktop
%{_datadir}/ccsm/
%{_datadir}/icons/hicolor/*/apps/ccsm.*
%{python_sitelib}/ccm/
%{python_sitelib}/ccsm-%{version}-py2.5.egg-info


%changelog
* Mon Jun 09 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.6-2
- added BR intltool

* Sun Jun 08 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.6-1
- 0.7.6 update

* Tue Mar 29 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.2-1
- 0.7.2 update

* Sat Dec 8 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-5
- added installed but unpackaged file ccsm-0.6.0-py2.5.egg-info

* Sat Nov 25 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-4
- changed requires to allow flexible upgrade of compizconfig-python and libcompizconfig 

* Sun Aug 21 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-3
- fixed issue with remove shebangs patch

* Sun Aug 21 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-1
- official upstream 0.6.0 tarball release
- owns directory
- removed shebangs from ccm
- fixed desktop entry

* Fri Aug 19 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.3.20071018gita7fa7d
- removed unneeded BuildReqs

* Thu Aug 18 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.2.20071018gita7fa7d
- 0.6.0 branch

* Sun Jun 30 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.3.20070630git
- 20070630git
- Added BuildReq gettext
- Added Require compizconfig-python
- added require pygtk2

* Sun Jun 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-20070622git
- Initial specfile, borrowing descriptions from Trevino ubuntu debs
